Invite a tenant member
Invites a user to join the tenant and assigns roles to them within the tenant's context. If the user has not registered to the Self Service Portal yet, then they will receive an email with a link to accept the invite. If the user has already registered, then they will be added as a member to the tenant immediately.
To invite members, use a Portal user that is a member of the target tenant. A reliable workflow is to create the tenant from the MATTR Portal rather than via an M2M client. The Portal user that creates the tenant becomes a member automatically, and can then invite additional users to it, either from the Portal UI or by calling this endpoint with the Portal user's access token.
Analytics Events
bearerAuthAuthorizationBearer <token>tenantId*stringIdentifier of the tenant to add the member to.
uuidapplication/json- body
email*stringemailroles*array<>The roles assigned to the user in the context of this tenant.
1 <= itemsMember invited
application/json- response
userId*stringUser's unique identifier.
status*UserStatusIndicates the user's registration status:
- Active: User has accepted their invite and registered with the MATTR Self Service Portal.
- Pending: An invite was sent to the user, but they had not registered yet.
- Invite Expired: The registration invite had expired before the user registered.
- Disabled: The user has been disabled in the MATTR Self Service Portal.
"Pending""Active""Invite Expired""Disabled"inviteExpiresAt?stringThe date and time when the invite expires. Only present when status is Pending.
date-timecurl -X POST "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "john-doe@example.com", "roles": [ "dts-provider", "issuer" ] }'{ "userId": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb", "status": "Active", "inviteExpiresAt": "2025-08-22T07:46:09.510Z"}How would you rate this page?